Subject: RE: [PCN] Architecture draft - probing section & general updates.

From: <[email-masked]>
Date: Mon, 5 Nov 2007 18:57:23 -0000

Joe - trying to clarify... what's the PCN-domain? Does it run from one
*enterprise* LAN edge switch/router to another (there's a tunnelled link
between them), or from the end terminals. Ie what are the
pcn-boundary-nodes {&pcn-interior-nodes)?

The scenario isnt captured I think in the draft-ietf-pcn-architecture,
so something should probably be added...

Thanks
Phil. 

> -----Original Message-----
> From: Jozef Babiarz [mailto:[email-masked]]
> Sent: 29 October 2007 21:06
> To: Lars Eggert
> Cc: [email-masked]; Geib, Ruediger
> Subject: RE: [PCN] Architecture draft - probing section & general
updates.
> 
> Hi Lars,
> I did not explain my scenario that clearly, I confused people the word
> "access node". So here goes a second try.
> 
> I'm thinking of a scenario that many enterprises face today. Large
multi
> location enterprises use multiple WAN links or VPS to interconnect
their
> locations (branch offices). PCN is run inside the enterprise network
> including WAN links which may be tunneled across the carrier network.
> Carrier network is not required to support PCN as the enterprise
traffic
> including PCN marking is tunneled, however it could.  Network Access
> Control with PCN admission control is done at the *enterprise* LAN
edge
> switch/router. New flows can be routed to any egress LAN edge
> switch/router and some flows will (between different locations) be
> routed over one of the WAN links which are normally bandwidth
> constrained. There is a high probability that many of the edge LAN
> switches/routers will have no flows setup between each other (no
> ingress-egress aggregate) as there are a large number of edge LAN
> switches/routers in the enterprise network and people calling patterns
> change. They normal expect that they should be able to call anyone.
> 
> 
> Regards, Joe
> email:[email-masked]
> Telephone:613-763-6098
> 
> -----Original Message-----
> From: Lars Eggert [mailto:[email-masked]]
> Sent: October 25, 2007 5:54 AM
> To: Babiarz, Jozef (CAR:0S03)
> Cc: Geib, Ruediger; [email-masked]
> Subject: Re: [PCN] Architecture draft - probing section & general
> updates.
> 
> On 2007-10-24, at 19:14, ext Jozef Babiarz wrote:
> > I'm thinking of a scenario that many enterprises face today. Large
> > multi
> > location enterprises use multiple WAN links or VPS to interconnect
> > their
> > locations. PCN is run inside the enterprise network including WAN
> > links
> > which maybe tunneled across the carrier network. Network Access
> > Control
> > with PCN admission control is done at the enterprise access edge
> > nodes.
> > New flows can be routed to any egress access edge node and some
flows
> > will (between different locations) be routed over one of the WAN
links
> > which are normally bandwidth constrained.
> 
> I understand your scenario so far.
> 
> > There is a high probability
> > that many access nodes will only have one flow between each other as
> > there are a large number of them.
> 
> I don't see how this follows, however. It seems that if the sites
> that are being interconnected aren't tiny, there should very likely
> be multiple flows per ingress/egress pair, no?
> 
> Lars
> 
> 
> _______________________________________________
> PCN mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pcn

_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn

---

From: "Jozef Babiarz" <[email-masked]>
Date: Tue, 27 Nov 2007 23:28:48 -0500

Hi Phil,
PCN-domain is enterprise network that is within one building or campus.
Large enterprises have several locations that are distributed throughout
the city, counter or even the world. Between different locations, Layer
2 or Layer 3 VPNs are used to interconnect usually using multiple VPNs
to each location to provide resilience should one VPN fail for a period
of time. Different approaches (ECMP, policy routing, etc) are used to
distribute traffic on two or more VPNs between each location. Each or
most of the enterprise locations are PCN-capable and the VPNs (tunnels)
are used to interconnect the different locations. The ISPs that provide
the tunnels are not PCN-capable. PCN function needs only to be supported
within the global enterprise network. Edge nodes that provide admission
control and flow termination need to support PCN-edge-node function.
Enterprise core nodes and WAN nodes need to provide PCN-interior-node
function.

Terminally:
In enterprise networks WAN (Wide Area Network) edge node is the node
that provides connects to a foreign network and where normally Layer 2
or 3 VPN start and end. There may be other tunnels running inside the
enterprise network but that is outside the scope of this example.
Edge node is a switch or router where end terminals, hosts, servers
connect to.

Those the above help?

Regards, Joe
email:[email-masked]
Telephone:613-763-6098
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: November 5, 2007 1:57 PM
To: Babiarz, Jozef (CAR:0S03); [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [PCN] Architecture draft - probing section & general
updates.

Thanks
Phil. 

updates.
multi
their
traffic
edge
flows
links